org.apache.solr.morphlines.solr

## Class SolrMorphlineContext.Builder

- java.lang.Object
- - org.kitesdk.morphline.api.MorphlineContext.Builder
  - - org.apache.solr.morphlines.solr.SolrMorphlineContext.Builder

- Enclosing class:
    SolrMorphlineContext

      public static class SolrMorphlineContext.Builder
      extends org.kitesdk.morphline.api.MorphlineContext.Builder

  Helper to construct a `SolrMorphlineContext` instance.

- - ### Field Summary

    - ### Fields inherited from class org.kitesdk.morphline.api.MorphlineContext.Builder

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SolrMorphlineContext` | `build()`
    `protected SolrMorphlineContext` | `create()`
    `SolrMorphlineContext.Builder` | `setDocumentLoader(DocumentLoader loader)`
    `SolrMorphlineContext.Builder` | `setIndexSchema(IndexSchema schema)`

    - ### Methods inherited from class org.kitesdk.morphline.api.MorphlineContext.Builder

      `setExceptionHandler, setHealthCheckRegistry, setMetricRegistry, setSettings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setDocumentLoader

          public SolrMorphlineContext.Builder setDocumentLoader(DocumentLoader loader)

    - #### setIndexSchema

          public SolrMorphlineContext.Builder setIndexSchema(IndexSchema schema)

    - #### build

          public SolrMorphlineContext build()

      Overrides:
        `build` in class `org.kitesdk.morphline.api.MorphlineContext.Builder`

    - #### create

          protected SolrMorphlineContext create()

      Overrides:
        `create` in class `org.kitesdk.morphline.api.MorphlineContext.Builder`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.